sm-commit AT lists.ibiblio.org
Subject: Source Mage code commit list
List archive
[SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f3e94c9886dd4442d1b930c41b3c1549f4d6904d)
- From: Justin Boffemmyer <scm AT sourcemage.org>
- To: sm-commit AT lists.ibiblio.org
- Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f3e94c9886dd4442d1b930c41b3c1549f4d6904d)
- Date: Thu, 1 Jan 2009 18:37:53 -0600
GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:
iso/usr/share/smgl.install/smgl-kernel | 39
+++++++++++++++++++++++++++++++++
1 files changed, 39 insertions(+)
New commits:
commit f3e94c9886dd4442d1b930c41b3c1549f4d6904d
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>
smgl.install/smgl-kernel: new, installs ISO kernel
Script that can be used during the installer by the user to install the
ISO kernel to the TARGET of their choice (/mnt/root by default).
diff --git a/iso/usr/share/smgl.install/smgl-kernel
b/iso/usr/share/smgl.install/smgl-kernel
new file mode 100644
index 0000000..7e85889
--- /dev/null
+++ b/iso/usr/share/smgl.install/smgl-kernel
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+function usage() {
+ cat <<USAGE
+Usage: $(basename $0) [-h] [-d /path/to/target]
+
+Installs the ISO kernel and it's modules to the target specified. If no
target
+is specified on the command-line, it installs to /mnt/root by default.
+
+Options:
+ -h Shows this help information
+USAGE
+ exit 1
+} >&2
+
+while getopts ":h" Option
+do
+ case $Option in
+ h ) usage ;;
+ * ) echo "Unrecognized option." >&2 && usage ;;
+ esac
+done
+shift $(($OPTIND - 1))
+
+[[ $# -eq 1 ]] && TARGET="$1"
+TARGET="${TARGET:-/mnt/root}"
+
+# Copy the kernel config
+cp -f /boot/config-$(uname -r) "$TARGET"/boot/config-$(uname -r)-SMGL-iso
+
+# Copy the kernel image
+cp -f /boot/linux-$(uname -r) "$TARGET"/boot/vmlinuz-$(uname -r)-SMGL-iso
+
+# Copy all kernel modules
+[[ -d "$TARGET"/lib/modules ]] || mkdir -p "$TARGET"/lib/modules
+cp -fr /lib/modules/$(uname -r) "$TARGET"/lib/modules/
+
+
+# vim:tabstop=2:softtabstop=2:shiftwidth=2:expandtab:ai
- [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f3e94c9886dd4442d1b930c41b3c1549f4d6904d), Justin Boffemmyer, 01/01/2009
Archive powered by MHonArc 2.6.24.